<?php
$tz_destination_args = array();
$tz_args = array(
    'post_type'  => 'destination',
    'type'         => 'post',
    'posts_per_page' => -1,
);
$tz_postslist = get_posts( $tz_args );

foreach($tz_postslist as $tz_list){
    $tz_destination_args[$tz_list -> post_title] = $tz_list -> ID;
}
if(function_exists('vc_map')):
vc_map( array(
    "name" => esc_html__("Destinations", "aventura-plugin"),
    "weight" => 14,
    "base" => "tz-destinations",
    "icon" => "icon-element",
    "description" => "",
    "class" => "tzElement_extended",
    "category" => esc_html__("Aventura", "aventura-plugin"),
    "params" => array(
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Type Destination", "aventura-plugin"),
            "param_name"    => "tz_type",
            "value"         => array(
                esc_html__("Choose Type Destination", "aventura-plugin")  => '',
                esc_html__("Type 1", "aventura-plugin")                   => "1",
                esc_html__("Type 2", "aventura-plugin")                   => "2",
                esc_html__("Type 3", "aventura-plugin")                   => "3",
                esc_html__("Type 4", "aventura-plugin")                   => "4",
                esc_html__("Type 5", "aventura-plugin")                   => "5",
                esc_html__("Type 6", "aventura-plugin")                   => "6",
                esc_html__("Type 7", "aventura-plugin")                   => "7",
            ),
            "description"   => esc_html__("", "aventura-plugin"),
        ),
        array(
            "type" => "checkbox",
            "heading"       => esc_html__("Destination", "aventura-plugin"),
            "param_name"    => "tz_destination",
            "value"         => $tz_destination_args,
            "description"   => esc_html__("Select Show Destinations", "aventura-plugin"),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','4','5','6','7')),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Destination order by", "aventura-plugin"),
            "param_name"    => "tz_orderby",
            "value"         => array(
                esc_html__("Choose Order By", "aventura-plugin")  => '',
                esc_html__("Date", "aventura-plugin")       => 'date',
                esc_html__("Title", "aventura-plugin")      => 'title',
                esc_html__("ID", "aventura-plugin")       => 'id',

            ),
            "description"   => esc_html__("", "aventura-plugin"),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Destination order", "aventura-plugin"),
            "param_name"    => "tz_order",
            "value"         => array(
                esc_html__("Choose Order", "aventura-plugin")  => '',
                esc_html__("ASC", "aventura-plugin")       => 'ASC',
                esc_html__("DESC", "aventura-plugin")      => 'DESC',

            ),
            "description"   => esc_html__("", "aventura-plugin"),
        ),
        array(
            "type"       => "textarea",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Title", "aventura-plugin"),
            "param_name" => "tz_title",
            "value" => "",
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','5','6')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Title Background", "aventura-plugin"),
            "param_name" => "tz_title_background",
            "description" => esc_html__("Define a title background for the section","aventura-plugin"),
            "value" => "",
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','5')),
        ),

        array(
            "type" => "textarea",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Description", "aventura-plugin"),
            "param_name" => "tz_description",
            "description" => esc_html__("Define a description for the section(optional)","aventura"),
            "value" => "",
            "dependency"    => array('element' => 'tz_type', 'value' => array('5','6')),
        ),
        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Image Size", "aventura-plugin"),
            "param_name" => "tz_size",
            "description"   => esc_html__("Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \"large\" size.", "aventura-plugin"),
            "value" => "",
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','4','5','6')),
        ),
        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Deals Label", "aventura-plugin"),
            "param_name" => "tz_label",
            "value" => "",
            "dependency"    => array('element' => 'tz_type', 'value' => '1'),
        ),
        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Deals Link", "aventura-plugin"),
            "param_name" => "tz_link",
            "value" => "",
            "dependency"    => array('element' => 'tz_type', 'value' => '1'),
        ),
        array(
            "type"       => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Choose Destination Column", "aventura-plugin"),
            "param_name" => "tz_column",
            "value" => array(
                "Select Destination Column" => '',
                "2 Column"                  => '2',
                "3 Column"                  => '3',
            ),
            "description"   => "",
            "dependency"    => array('element' => 'tz_type', 'value' => '4'),
        ),
        array(
            'type'          =>  'dropdown',
            'holder'        =>  '',
            'admin_label'   =>  false,
            'heading'       =>  esc_html__('Desktop Items','aventura-plugin'),
            'description'   =>  esc_html__('Number of items display on the desktop','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'param_name'    =>  'desktop_columns',
            'std'           =>  '4',
            'value'         =>  array(
                esc_html__('1','aventura-plugin')   => '1',
                esc_html__('2','aventura-plugin')   => '2',
                esc_html__('3','aventura-plugin')   => '3',
                esc_html__('4','aventura-plugin')   => '4',
                esc_html__('5','aventura-plugin')   => '5',
                esc_html__('6','aventura-plugin')   => '6',
                esc_html__('7','aventura-plugin')   => '7',
                esc_html__('8','aventura-plugin')   => '8',
                esc_html__('9','aventura-plugin')   => '9',
                esc_html__('10','aventura-plugin')   => '10',
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','7'))
        ),
        array(
            'type'          =>  'dropdown',
            'holder'        =>  '',
            'admin_label'   =>  false,
            'heading'       =>  esc_html__('Desktop Small Items','aventura-plugin'),
            'description'   =>  esc_html__('Number of items display on the desktop small','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'param_name'    =>  'desktop_small_columns',
            'std'           =>  '4',
            'value'         =>  array(
                esc_html__('1','aventura-plugin')   => '1',
                esc_html__('2','aventura-plugin')   => '2',
                esc_html__('3','aventura-plugin')   => '3',
                esc_html__('4','aventura-plugin')   => '4',
                esc_html__('5','aventura-plugin')   => '5',
                esc_html__('6','aventura-plugin')   => '6',
                esc_html__('7','aventura-plugin')   => '7',
                esc_html__('8','aventura-plugin')   => '8',
                esc_html__('9','aventura-plugin')   => '9',
                esc_html__('10','aventura-plugin')   => '10',
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','7'))
        ),
        array(
            'type'          =>  'dropdown',
            'holder'        =>  '',
            'admin_label'   =>  false,
            'heading'       =>  esc_html__('Tablet Items','aventura-plugin'),
            'description'   =>  esc_html__('Number of items display on the tablet','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'param_name'    =>  'tablet_columns',
            'std'           =>  '2',
            'value'         =>  array(
                esc_html__('1','aventura-plugin')   => '1',
                esc_html__('2','aventura-plugin')   => '2',
                esc_html__('3','aventura-plugin')   => '3',
                esc_html__('4','aventura-plugin')   => '4',
                esc_html__('5','aventura-plugin')   => '5',
                esc_html__('6','aventura-plugin')   => '6',
                esc_html__('7','aventura-plugin')   => '7',
                esc_html__('8','aventura-plugin')   => '8',
                esc_html__('9','aventura-plugin')   => '9',
                esc_html__('10','aventura-plugin')   => '10',
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','7'))
        ),
        array(
            'type'          =>  'dropdown',
            'holder'        =>  '',
            'admin_label'   =>  false,
            'heading'       =>  esc_html__('Tablet Portait Items','aventura-plugin'),
            'description'   =>  esc_html__('Number of items display on the tablet portait','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'param_name'    =>  'tablet_portait_columns',
            'std'           =>  '2',
            'value'         =>  array(
                esc_html__('1','aventura-plugin')   => '1',
                esc_html__('2','aventura-plugin')   => '2',
                esc_html__('3','aventura-plugin')   => '3',
                esc_html__('4','aventura-plugin')   => '4',
                esc_html__('5','aventura-plugin')   => '5',
                esc_html__('6','aventura-plugin')   => '6',
                esc_html__('7','aventura-plugin')   => '7',
                esc_html__('8','aventura-plugin')   => '8',
                esc_html__('9','aventura-plugin')   => '9',
                esc_html__('10','aventura-plugin')   => '10',
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','7'))
        ),
        array(
            'type'          =>  'dropdown',
            'holder'        =>  '',
            'admin_label'   =>  false,
            'heading'       =>  esc_html__('Mobile Items','aventura-plugin'),
            'description'   =>  esc_html__('Number of items display on the mobile','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'param_name'    =>  'mobile_columns',
            'std'           =>  '1',
            'value'         =>  array(
                esc_html__('1','aventura-plugin')   => '1',
                esc_html__('2','aventura-plugin')   => '2',
                esc_html__('3','aventura-plugin')   => '3',
                esc_html__('4','aventura-plugin')   => '4',
                esc_html__('5','aventura-plugin')   => '5',
                esc_html__('6','aventura-plugin')   => '6',
                esc_html__('7','aventura-plugin')   => '7',
                esc_html__('8','aventura-plugin')   => '8',
                esc_html__('9','aventura-plugin')   => '9',
                esc_html__('10','aventura-plugin')   => '10',
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','7'))
        ),
        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading"    => esc_html__("Margin Item", "aventura-plugin"),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            "param_name" => "tz_margin",
            "value" => "",
            "description"   => esc_html__("Ex: 30", "aventura-plugin"),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','6','7')),
        ),
        array(
            'type'          =>  'checkbox',
            'holder'        =>  '',
            'heading'       =>  esc_html__('Auto Play','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'admin_label'   =>  false,
            'param_name'    =>  'auto_play',
            'std'           =>  'true',
            'value'         =>  array(
                esc_html__('Yes','aventura-plugin')       =>  'true',
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','5','6','7'))
        ),
        array(
            'type'          =>  'dropdown',
            'holder'        =>  '',
            'heading'       =>  esc_html__('Next/Preview','aventura-plugin'),
            'group'         =>  esc_html__('Slide Options','aventura-plugin'),
            'admin_label'   =>  false,
            'param_name'    =>  'nav_button',
            'value'         =>  array(
                'Show'          =>  'true',
                'Hide'          =>  'false'
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('7','2'))
        ),
        array(
            'type'          =>  'textfield',
            'holder'        =>  '',
            'heading'       =>  esc_html__('Auto Play Timeout','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'admin_label'   =>  false,
            'param_name'    =>  'timeout',
            'value'         =>  '3000',
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','5','6','7'))
        ),
        array(
            'type'          =>  'checkbox',
            'holder'        =>  '',
            'heading'       =>  esc_html__('Loop','aventura-plugin'),
            'group'         =>  esc_html__( 'Slide Options', 'aventura-plugin' ),
            'admin_label'   =>  false,
            'param_name'    =>  'loop',
            'std'           =>  'true',
            'value'         =>  array(
                esc_html__('Yes','aventura-plugin')       =>  'true',
            ),
            "dependency"    => array('element' => 'tz_type', 'value' => array('1','2','3','5','6','7'))
        ),
        array(
            'type'        => 'textfield',
            'param_name'  => 'el_class',
            'heading'     => esc_html__( 'Extra class name', 'aventura-plugin' ),
        ),
        array(
            'type'        => 'css_editor',
            'param_name'  => 'css',
            'heading'     => esc_html__( 'CSS box', 'aventura-plugin' ),
            'group'       => esc_html__( 'Design Options', 'aventura-plugin' ),
        ),
    )
) );
endif;
?>