<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $aventura_ID,$aventura_options;
$aventura_other_number        = isset( $aventura_options['aventura_tour_detail_other_number'] ) ? $aventura_options['aventura_tour_detail_other_number'] : 3;
$aventura_other_style        = isset( $aventura_options['aventura_tour_detail_other_style'] ) ? $aventura_options['aventura_tour_detail_other_style'] : 'default';
if($aventura_other_number > 3){
    $sl_class = ' tour-other-slider owl-carousel';
    $col_class = '';
}else{
    $sl_class = ' row';
    $col_class = 'col-lg-4 col-md-4 col-sm-4 col-xs-12';
}
$terms = get_the_terms( $aventura_ID, 'tour-category' );

if ( $terms && ! is_wp_error( $terms ) ) :

    $all_terms = array();

    foreach ( $terms as $term ) {
        $all_terms[] = $term->term_id;
    }
    $all_terms = join( ", ", $all_terms );
endif;
$aventura_args = array(
    'post_type'         => 'tour', // enter your custom post type
    'post_status'       => 'publish',
    'posts_per_page'    => $aventura_other_number,
    'orderby'           => 'date',
    'post__not_in'      => array($aventura_ID),
    'tax_query' => array(
        array(
            'taxonomy' => 'tour-category',
            'field'    => 'term_id',
            'terms'    => $all_terms,
        ),
    ),
);
$tz_size = 'large';
$aventura_query = new WP_Query( $aventura_args ) ;

if($aventura_other_style == 'feature2'){
    wp_enqueue_style('bootstrap-datepicker');
    wp_enqueue_script('owl-carousel');
    wp_enqueue_style('owl-carousel');
    wp_enqueue_script('resize');
    wp_enqueue_script('jquery-validate');
    wp_enqueue_script('bootstrap-datepicker');
    wp_enqueue_script('bootstrap-datepicker-localization');
    wp_enqueue_script('tz-featured-tour-function');
    wp_enqueue_script('featured-tour');
?>
    <div class="tz-tour-orther-wrap">
        <div class="tz-tour-other">
        <h3><?php esc_html_e('Other Tours','aventura') ?></h3>
        </div>
        <div class="tzElement_FeaturedTour   type-2 ">
            <div  id="tzTour-slider-other" data-number="1" data-item="4" class="tzTour tzTour-slider owl-carousel ">
                <?php
                if ( $aventura_query -> have_posts() ): while ( $aventura_query -> have_posts() ): $aventura_query -> the_post() ;
                    global $aventura_options;
                    $post_id = $aventura_query->post->ID;
                    $aventura_archive_btn        = isset( $aventura_options['aventura_tour_archive_button'] ) ? $aventura_options['aventura_tour_archive_button'] : 'book';
                    $aventura_tour_thumb_url        = isset( $aventura_options['aventura_tour_thumb_url'] ) ? $aventura_options['aventura_tour_thumb_url'] : '0';
                    $aventura_tour_booking_form        = isset( $aventura_options['aventura_tour_booking_form'] ) ? $aventura_options['aventura_tour_booking_form'] : '';

                    $aventura_discount = aventura_metabox('aventura_tour_discount', '', '', '0');
                    $aventura_duration = aventura_metabox('aventura_tour_duration', '', '', '');;
                    $aventura_date = aventura_metabox('aventura_departure_date', '', '', '');
                    $aventura_address = aventura_metabox('address', '', '', '');
                    $aventura_infant_price = aventura_metabox('aventura_infant_price', '', '', '0');
                    $aventura_destination = aventura_metabox('aventura_tour_destination', '', '', '');

                    $aventura_tour_type = aventura_metabox('aventura_tour_type', '', $post_id, '');
                    $aventura_tour_external_button = aventura_metabox('aventura_tour_external_button', '', $post_id, esc_html__('Book Now', 'aventura'));
                    $aventura_tour_external_link = aventura_metabox('aventura_tour_external_link', '', $post_id, '#');
                    $aventura_max_adults = isset($aventura_options['aventura_tour_detail_max_adults']) ? $aventura_options['aventura_tour_detail_max_adults'] : 3;
                    $aventura_max_kids = isset($aventura_options['aventura_tour_detail_max_kids']) ? $aventura_options['aventura_tour_detail_max_kids'] : 0;
                    $aventura_adult_price = aventura_metabox('aventura_adult_price', '', $post_id, '0');
                    $aventura_child_price = aventura_metabox('aventura_child_price', '', $post_id, '');
                    $aventura_discount = aventura_metabox('aventura_tour_discount', '', $post_id, '0');
                    $aventura_tour_available_days = aventura_metabox('aventura_available_days', '', $post_id, '');
                    $aventura_tour_start_date = aventura_metabox('aventura_tour_start_date', '', $post_id, '');
                    $aventura_tour_end_date = aventura_metabox('aventura_tour_end_date', '', $post_id, '');
                    $aventura_tour_departure_time = aventura_metabox('aventura_departure_time', '', $post_id, '');
                    $aventura_tour_rating        = isset( $aventura_options['aventura_tour_rating'] ) ? $aventura_options['aventura_tour_rating'] : '1';
                    $aventura_tour_date        = isset( $aventura_options['aventura_tour_date'] ) ? $aventura_options['aventura_tour_date'] : '1';
                    if ($aventura_tour_type == 'daily') {
                        $aventura_date_tour = date_i18n('M d, Y', strtotime($aventura_tour_start_date));
                    } else {
                        $aventura_date_tour = date_i18n('M d, Y', strtotime($aventura_date));
                    }
                    $tz_post_thumbnail_id = get_post_thumbnail_id($post_id);
                    $tz_post_thumbnail = wpb_getImageBySize(array(
                        'attach_id' => $tz_post_thumbnail_id,
                        'thumb_size' => $tz_size,
                    ));
                    $tz_image_thumbnail = $tz_post_thumbnail['thumbnail'];

                    $aventura_check_tour_available = aventura_tour_check_availability_advance($post_id, '', '');
                    $aventura_allow_manager_people = aventura_metabox('aventura_tour_manager_people', '', $post_id, '');
                    $aventura_total_people = aventura_metabox('aventura_tour_total_people', '', $post_id, '');
                ?>
                <div class="tzTour-item">
                    <div class="tzImg-tour">
                        <div class="tz-thumb ">
                            <span>
                                <?php
                                echo $tz_image_thumbnail;
                                ?>
                            </span>
                        </div>
                    </div>
                    <div class="tzTour-info tz-info">
                        <div class="tz-title">
                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                            <?php if ($aventura_duration != '') { ?>
                                <span><i class="fas fa-clock"></i><?php echo esc_html($aventura_duration); ?></span>
                            <?php } ?>
                        </div>
                        <div class="tz-price">
                            <?php
                            if ($aventura_tour_rating == '1') {
                                if (class_exists('Comment_Rating_Output')):
                                    $aventura_rating = new Comment_Rating_Output();
                                    $aventura_rating_html = $aventura_rating->display_average_rating('');
                                    echo balanceTags($aventura_rating_html);
                                endif;
                            }
                            ?>

                            <?php
                            if (($aventura_adult_price != '' || $aventura_child_price != '')):
                                ?>
                                <div class="price">
                                    <p><?php esc_html_e('From', 'aventura'); ?></p>
                                    <?php if (function_exists('aventura_price')) { ?>
                                        <?php
                                        if ($aventura_adult_price != '') {
                                            echo aventura_price($aventura_adult_price);
                                        } elseif ($aventura_child_price != '') {
                                            echo aventura_price($aventura_child_price);
                                        }
                                        ?>
                                    <?php } else { ?>
                                        <?php echo esc_html($aventura_adult_price); ?>
                                        <span class="currency-symbol">$</span>
                                    <?php } ?>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="tz-time">
                            <?php if ($aventura_date_tour != '' && $aventura_tour_date =='1') { ?>
                                <div class="tz-date">
                                    <p><?php esc_html_e('Date', 'aventura') ?></p>
                                    <p class="text"><?php echo esc_html($aventura_date_tour); ?></p>
                                </div>
                            <?php } ?>
                            <?php if ($aventura_address != '') { ?>
                                <div class="tz-destination">
                                    <p><?php esc_html_e('Departure', 'aventura') ?></p>
                                    <p class="text"><?php echo esc_html($aventura_address); ?></p>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="tz-button">
                        <?php
                        if($aventura_archive_btn == 'book'){
                            if ($aventura_tour_type == 'external') {
                                if ($aventura_tour_external_button != ''):
                                    echo '<a class="booking" href="' . esc_url($aventura_tour_external_link) . '" title="' . esc_html($aventura_tour_external_button) . '" target="_blank"><i class="fas fa-shopping-cart"></i>' . esc_html($aventura_tour_external_button) . '</a>';
                                endif;
                            } else {
                                if ($aventura_adult_price != '' || $aventura_child_price != ''):
                                    ?>
                                    <a class="booking book-now-ajax-btn<?php
                                    if (($aventura_allow_manager_people == '1' && $aventura_total_people == '0') || $aventura_tour_type == 'special' && empty($aventura_tour_departure_time) && $aventura_check_tour_available['0'] == '0') {
                                        echo ' disabled';
                                    }
                                    ?>"
                                       href="<?php the_permalink($post_id); ?>"
                                       data-post-id="<?php echo esc_attr($post_id); ?>"
                                        <?php if ($aventura_tour_type == 'special' && empty($aventura_tour_departure_time) && $aventura_check_tour_available['2'] != '') { ?>
                                            data-people-available="<?php echo $aventura_check_tour_available['2']; ?>"
                                        <?php } else { ?>
                                            data-people-available=""
                                        <?php } ?>
                                       data-tour-type="<?php echo esc_attr($aventura_tour_type); ?>"
                                       data-max-adults="<?php echo esc_attr($aventura_max_adults); ?>"
                                       data-max-kids="<?php echo esc_attr($aventura_max_kids); ?>"
                                       data-adults-price="<?php echo esc_attr($aventura_adult_price); ?>"
                                       data-child-price="<?php echo esc_attr($aventura_child_price); ?>"
                                       data-discount="<?php echo esc_attr($aventura_discount); ?>"
                                       data-available-days='<?php echo json_encode($aventura_tour_available_days); ?>'
                                       data-start-date="<?php echo esc_attr($aventura_tour_start_date); ?>"
                                       data-end-date="<?php echo esc_attr($aventura_tour_end_date); ?>"
                                       data-departure-time='<?php echo json_encode($aventura_tour_departure_time); ?>'>
                                        <i class="fas fa-shopping-cart"></i><?php esc_html_e('Book Now', 'aventura'); ?>
                                        <span class="loading-ajax"></span>
                                    </a>
                                <?php else: ?>
                                    <a class="booking book-view-detail" href="<?php the_permalink(); ?>">
                                        <i class="fas fa-rocket"></i><?php esc_html_e('View More', 'aventura'); ?>
                                    </a>
                                <?php endif;
                            }
                        }
                        if($aventura_archive_btn == 'detail'){
                            ?>
                            <a class="booking book-view-detail" href="<?php the_permalink(); ?>">
                                <?php esc_html_e('View Detail', 'aventura'); ?>
                            </a>
                            <?php
                        }
                        if($aventura_archive_btn == 'book_form'){
                            ?>
                            <a class="booking tour_view_detail" href="#" data-toggle="modal" data-target="#tour_booking_form<?php echo esc_attr($post_id);?>">
                                <?php echo esc_html__('Book Now','aventura'); ?>
                            </a>
                            <div class="modal fade tour_booking_form" id="tour_booking_form<?php echo esc_attr($post_id);?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                            <h4 class="modal-title" id="myModalLabel"><?php echo get_the_title($post_id); ?></h4>
                                        </div>
                                        <div class="modal-body">
                                            <?php echo do_shortcode('[contact-form-7 id="'.$aventura_tour_booking_form.'" title=""]');?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                        }
                        ?>
                    </div>
                </div>
                <?php
                endwhile;
                endif;
                wp_reset_postdata();
                ?>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        jQuery(document).ready(function () {
            "use strict";
            jQuery('#tzTour-slider-other').each(function () {
                jQuery(this).owlCarousel({
                    rtl: <?php if (is_rtl()) {
                        echo 'true';
                    } else {
                        echo 'false';
                    } ?>,
                    nav: false,
                    autoplay:true,
                    loop: true,
                    smartSpeed: 700,
                    autoplayHoverPause: true,
                    responsive: {
                        0: {
                            items: 1                            },
                        600: {
                            items: 2                            },
                        992: {
                            items: 2                            },
                        1200: {
                            items: 3                            },
                        1500: {
                            nav: false,
                            items: 3                            }
                    },
                    margin:0
                })
            })
        });
    </script>
    <?php
}elseif($aventura_other_style == 'feature5'){
    wp_enqueue_style('bootstrap-datepicker');
    wp_enqueue_script('resize');
    wp_enqueue_script('jquery-validate');
    wp_enqueue_script('bootstrap-datepicker');
    wp_enqueue_script('bootstrap-datepicker-localization');
    wp_enqueue_script('tz-featured-tour-function');
    wp_enqueue_script('featured-tour');
?>
    <div class="tz-tour-orther-wrap">
        <div class="tz-tour-other">
        <h3><?php esc_html_e('Other Tours','aventura') ?></h3>
        </div>
        <div class="tzElement_FeaturedTour type-5 ">
            <div class="tzTour">
                <?php
                if ( $aventura_query -> have_posts() ): while ( $aventura_query -> have_posts() ): $aventura_query -> the_post() ;
                    global $aventura_options;
                    $post_id = $aventura_query->post->ID;
                    $aventura_archive_btn        = isset( $aventura_options['aventura_tour_archive_button'] ) ? $aventura_options['aventura_tour_archive_button'] : 'book';
                    $aventura_tour_thumb_url        = isset( $aventura_options['aventura_tour_thumb_url'] ) ? $aventura_options['aventura_tour_thumb_url'] : '0';
                    $aventura_tour_booking_form        = isset( $aventura_options['aventura_tour_booking_form'] ) ? $aventura_options['aventura_tour_booking_form'] : '';

                    $aventura_discount = aventura_metabox('aventura_tour_discount', '', '', '0');
                    $aventura_duration = aventura_metabox('aventura_tour_duration', '', '', '');;
                    $aventura_date = aventura_metabox('aventura_departure_date', '', '', '');
                    $aventura_address = aventura_metabox('address', '', '', '');
                    $aventura_infant_price = aventura_metabox('aventura_infant_price', '', '', '0');
                    $aventura_destination = aventura_metabox('aventura_tour_destination', '', '', '');

                    $aventura_tour_type = aventura_metabox('aventura_tour_type', '', $post_id, '');
                    $aventura_tour_external_button = aventura_metabox('aventura_tour_external_button', '', $post_id, esc_html__('Book Now', 'aventura'));
                    $aventura_tour_external_link = aventura_metabox('aventura_tour_external_link', '', $post_id, '#');
                    $aventura_max_adults = isset($aventura_options['aventura_tour_detail_max_adults']) ? $aventura_options['aventura_tour_detail_max_adults'] : 3;
                    $aventura_max_kids = isset($aventura_options['aventura_tour_detail_max_kids']) ? $aventura_options['aventura_tour_detail_max_kids'] : 0;
                    $aventura_adult_price = aventura_metabox('aventura_adult_price', '', $post_id, '0');
                    $aventura_child_price = aventura_metabox('aventura_child_price', '', $post_id, '');
                    $aventura_discount = aventura_metabox('aventura_tour_discount', '', $post_id, '0');
                    $aventura_tour_available_days = aventura_metabox('aventura_available_days', '', $post_id, '');
                    $aventura_tour_start_date = aventura_metabox('aventura_tour_start_date', '', $post_id, '');
                    $aventura_tour_end_date = aventura_metabox('aventura_tour_end_date', '', $post_id, '');
                    $aventura_tour_departure_time = aventura_metabox('aventura_departure_time', '', $post_id, '');

                    if ($aventura_tour_type == 'daily') {
                        $aventura_date_tour = date_i18n('M d, Y', strtotime($aventura_tour_start_date));
                    } else {
                        $aventura_date_tour = date_i18n('M d, Y', strtotime($aventura_date));
                    }
                    $tz_post_thumbnail_id = get_post_thumbnail_id($post_id);
                    $tz_post_thumbnail = wpb_getImageBySize(array(
                        'attach_id' => $tz_post_thumbnail_id,
                        'thumb_size' => $tz_size,
                    ));
                    $tz_image_thumbnail = $tz_post_thumbnail['thumbnail'];

                    $aventura_check_tour_available = aventura_tour_check_availability_advance($post_id, '', '');
                    $aventura_allow_manager_people = aventura_metabox('aventura_tour_manager_people', '', $post_id, '');
                    $aventura_total_people = aventura_metabox('aventura_tour_total_people', '', $post_id, '');
                ?>
                <div class="tzTour-item">
                    <div class="tzTour-item-box">
                        <div class="tzImg-tour">
                            <div class="tz-thumb">
                                <?php
                                if($aventura_tour_thumb_url == 0){
                                    ?>
                                    <a href="<?php the_permalink(); ?>">
                                        <?php
                                        echo $tz_image_thumbnail;
                                        ?>
                                    </a>
                                    <?php
                                }else{
                                    ?>
                                    <span>
                                            <?php
                                            echo $tz_image_thumbnail;
                                            ?>
                                        </span>
                                    <?php
                                }
                                ?>

                                <?php
                                if (($aventura_allow_manager_people == '1' && $aventura_total_people == '0') || $aventura_tour_type == 'special' && empty($aventura_tour_departure_time) && $aventura_check_tour_available['0'] == '0') {
                                    ?>
                                    <span class="tz-tour-sold-out"><?php echo esc_html__('Sold Out', 'aventura') ?></span>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                        <div class="tzTour-info tz-info">
                            <div class="tz-title">
                                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            </div>
                            <div class="tzTour-info tzTour-info-left">
                                <div class="tz-reviews">
                                    <?php
                                    if (class_exists('Comment_Rating_Output') ):
                                        $aventura_rating = new Comment_Rating_Output();
                                        $aventura_rating_html = $aventura_rating->display_average_rating('');
                                        echo balanceTags($aventura_rating_html);
                                    endif;

                                    $aventura_review_count = aventura_parent_comment_counter($post_id);
                                    if ($aventura_review_count > 1) {
                                        $aventura_review_count_text = esc_html__(' Reviews', 'aventura');
                                    } else {
                                        $aventura_review_count_text = esc_html__(' Review', 'aventura');
                                    }
                                    ?>
                                    <span class="reviews-count"><?php echo esc_html(aventura_parent_comment_counter($post_id) . $aventura_review_count_text); ?></span>
                                </div>

                                <div class="clr"></div>

                                <?php if ($aventura_address != '') { ?>
                                    <span class="tz-address">
                                                <?php echo esc_html($aventura_address); ?>
                                            </span>
                                <?php } ?>

                                <?php if ($aventura_duration != '') { ?>
                                    <span class="tz-duration">
                                                <?php echo esc_html($aventura_duration); ?>
                                            </span>
                                <?php } ?>

                            </div>

                            <?php if ($aventura_adult_price != '' || $aventura_child_price != '') { ?>

                                <div class="tzTour-info tzTour-info-right">
                                    <label><?php esc_html_e('From', 'aventura'); ?></label>
                                    <span class="price">
                                                <?php
                                                if ($aventura_adult_price != '') {
                                                    echo aventura_price($aventura_adult_price);
                                                } elseif ($aventura_child_price != '') {
                                                    echo aventura_price($aventura_child_price);
                                                }
                                                ?>
                                            </span>
                                </div>

                            <?php } ?>

                            <div class="clr"></div>
                            <div class="tz-button">
                                <?php
                                if($aventura_archive_btn == 'book'){
                                    if ($aventura_tour_type == 'external') {
                                        if ($aventura_tour_external_button != ''):
                                            echo '<a class="booking" href="' . esc_url($aventura_tour_external_link) . '" title="' . esc_html($aventura_tour_external_button) . '" target="_blank">' . esc_html($aventura_tour_external_button) . '</a>';
                                        endif;
                                    } else {
                                        if ($aventura_adult_price != '' || $aventura_child_price != ''):
                                            ?>
                                            <a class="booking book-now-ajax-btn<?php
                                            if (($aventura_allow_manager_people == '1' && $aventura_total_people == '0') || $aventura_tour_type == 'special' && empty($aventura_tour_departure_time) && $aventura_check_tour_available['0'] == '0') {
                                                echo ' disabled';
                                            }
                                            ?>"
                                               href="<?php the_permalink($post_id); ?>"
                                               data-post-id="<?php echo esc_attr($post_id); ?>"
                                                <?php if ($aventura_tour_type == 'special' && empty($aventura_tour_departure_time) && $aventura_check_tour_available['2'] != '') { ?>
                                                    data-people-available="<?php echo $aventura_check_tour_available['2']; ?>"
                                                <?php } else { ?>
                                                    data-people-available=""
                                                <?php } ?>
                                               data-tour-type="<?php echo esc_attr($aventura_tour_type); ?>"
                                               data-max-adults="<?php echo esc_attr($aventura_max_adults); ?>"
                                               data-max-kids="<?php echo esc_attr($aventura_max_kids); ?>"
                                               data-adults-price="<?php echo esc_attr($aventura_adult_price); ?>"
                                               data-child-price="<?php echo esc_attr($aventura_child_price); ?>"
                                               data-discount="<?php echo esc_attr($aventura_discount); ?>"
                                               data-available-days='<?php echo json_encode($aventura_tour_available_days); ?>'
                                               data-start-date="<?php echo esc_attr($aventura_tour_start_date); ?>"
                                               data-end-date="<?php echo esc_attr($aventura_tour_end_date); ?>"
                                               data-departure-time='<?php echo json_encode($aventura_tour_departure_time); ?>'>
                                                <?php esc_html_e('Book Now', 'aventura'); ?>
                                                <span class="loading-ajax"></span>
                                            </a>
                                        <?php else: ?>
                                            <a class="booking book-view-detail" href="<?php the_permalink(); ?>">
                                                <?php esc_html_e('View Detail', 'aventura'); ?>
                                            </a>
                                        <?php endif;
                                    }
                                }
                                if($aventura_archive_btn == 'detail'){
                                    ?>
                                    <a class="booking book-view-detail" href="<?php the_permalink(); ?>">
                                        <?php esc_html_e('View Detail', 'aventura'); ?>
                                    </a>
                                    <?php
                                }
                                if($aventura_archive_btn == 'book_form'){
                                    ?>
                                    <a class="booking tour_view_detail" href="#" data-toggle="modal" data-target="#tour_booking_form<?php echo esc_attr($post_id);?>">
                                        <?php echo esc_html__('Book Now','aventura'); ?>
                                    </a>
                                    <div class="modal fade tour_booking_form" id="tour_booking_form<?php echo esc_attr($post_id);?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                    <h4 class="modal-title" id="myModalLabel"><?php echo get_the_title($post_id); ?></h4>
                                                </div>
                                                <div class="modal-body">
                                                    <?php echo do_shortcode('[contact-form-7 id="'.$aventura_tour_booking_form.'" title=""]');?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                endwhile;
                endif;
                wp_reset_postdata();
                ?>
            </div>
        </div>
    </div>

    <?php
}else{
?>
<div class="tz-tour-orther-wrap">
    <div class="tz-tour-other">
        <h3><?php esc_html_e('Other Tours','aventura') ?></h3>
        <div class=" <?php echo esc_attr($sl_class);?>">
            <?php
            if ( $aventura_query -> have_posts() ): while ( $aventura_query -> have_posts() ): $aventura_query -> the_post() ;

                $aventura_other_gallery     =   aventura_metabox( 'aventura_tour_gallery','',get_the_ID(),'' );
                $aventura_other_discount    =   aventura_metabox( 'aventura_tour_discount','',get_the_ID(),'' );
                $aventura_other_duration    =   aventura_metabox( 'aventura_tour_duration','',get_the_ID(),'' );
                ?>
                <div class="<?php echo esc_attr($col_class);?>">
                    <div class="tz-tour-item">
                        <a class="tz-other-thumb" href="<?php the_permalink(); ?>">
                            <?php
                            echo get_the_post_thumbnail(get_the_ID(),'large');
                            ?>
                        </a>
                        <?php if( $aventura_other_discount != 0 && $aventura_other_discount != '' ){ ?>
                            <div class="other-discount"><span><?php echo  esc_html($aventura_other_discount).esc_html__('% OFF','aventura');?></span></div>
                        <?php } ?>
                        <div class="other-title">
                            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                            <span class="other-duration"><i class="fas fa-clock"></i><?php echo  esc_html('&nbsp;'.$aventura_other_duration);?></span>
                        </div>
                    </div>
                </div>
            <?php
            endwhile;
            endif;
            wp_reset_postdata();
            ?>
        </div>
    </div>
</div>
<?php
}